import request from '@/utils/request'

// 查询村庄规划列表
export function listProgramme(query) {
  return request({
    url: '/home/programme/list',
    method: 'get',
    params: query
  })
}
// 查询村庄规划预警列表
export function programmeWarninglist(query) {
  return request({
    url: '/home/programme/programmeWarninglist',
    method: 'get',
    params: query
  })
}

// 查询村庄规划详细
export function getProgramme(id) {
  return request({
    url: '/home/programme/get/' + id,
    method: 'get'
  })
}

// 新增村庄规划
export function addProgramme(data) {
  return request({
    url: '/home/programme/add',
    method: 'post',
    data: data
  })
}

// 修改村庄规划
export function updateProgramme(data) {
  return request({
    url: '/home/programme/edit',
    method: 'post',
    data: data
  })
}

// 删除村庄规划
export function delProgramme(id) {
  return request({
    url: '/home/programme/remove/' + id,
    method: 'get'
  })
}

// 导出村庄规划
export function exportProgramme(query) {
  return request({
    url: '/home/programme/export',
    method: 'get',
    params: query
  })
}
